curl -X POST https://api-verifier-2.onrender.com/api/blog/65a1b2c3d4e5f6g7h8i9j0k1/reject \
-H "Authorization: Bearer <your-token>" \
-H "Content-Type: application/json" \
-d '{
"reason": "Content does not meet quality guidelines"
}'
{
"message": "Post rejected",
"post": {
"_id": "65a1b2c3d4e5f6g7h8i9j0k1",
"title": "My Trading Strategy",
"visibility": "rejected",
"adminNotes": "Content does not meet quality guidelines"
}
}
Blog
Reject post
Reject a pending post
POST
/
api
/
blog
/
{id}
/
reject
curl -X POST https://api-verifier-2.onrender.com/api/blog/65a1b2c3d4e5f6g7h8i9j0k1/reject \
-H "Authorization: Bearer <your-token>" \
-H "Content-Type: application/json" \
-d '{
"reason": "Content does not meet quality guidelines"
}'
{
"message": "Post rejected",
"post": {
"_id": "65a1b2c3d4e5f6g7h8i9j0k1",
"title": "My Trading Strategy",
"visibility": "rejected",
"adminNotes": "Content does not meet quality guidelines"
}
}
This endpoint requires moderator or admin role.
Path parameters
string
required
The post ID
Request body
string
Reason for rejection (optional)
Response
string
Rejection confirmation
object
The rejected post with updated visibility and admin notes
curl -X POST https://api-verifier-2.onrender.com/api/blog/65a1b2c3d4e5f6g7h8i9j0k1/reject \
-H "Authorization: Bearer <your-token>" \
-H "Content-Type: application/json" \
-d '{
"reason": "Content does not meet quality guidelines"
}'
{
"message": "Post rejected",
"post": {
"_id": "65a1b2c3d4e5f6g7h8i9j0k1",
"title": "My Trading Strategy",
"visibility": "rejected",
"adminNotes": "Content does not meet quality guidelines"
}
}